Last Comment Bug 791983 - Save users from polluting their dist/bin when building Lightning
: Save users from polluting their dist/bin when building Lightning
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: Build Config (show other bugs)
: Lightning 1.7
: All All
: -- normal (vote)
: 2.1
Assigned To: Philipp Kewisch [:Fallen]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-18 03:49 PDT by Philipp Kewisch [:Fallen]
Modified: 2012-10-21 04:39 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Fix - v1 (1.41 KB, patch)
2012-09-18 03:49 PDT, Philipp Kewisch [:Fallen]
standard8: review+
Details | Diff | Splinter Review

Description Philipp Kewisch [:Fallen] 2012-09-18 03:49:07 PDT
Created attachment 662102 [details] [diff] [review]
Fix - v1

make -C objdir/calendar will start a build that inserts all sorts of lightning specific files into dist/bin. Especially new developers will get thrown off by this.

To counteract, I have done two things:

1. make -C objdir/calendar will call the calendar/lightning makefile instead
2. make -C objdir/calendar/base will set XPI_NAME too.
Comment 1 Mark Banner (:standard8) 2012-10-09 03:54:10 PDT
Comment on attachment 662102 [details] [diff] [review]
Fix - v1

Review of attachment 662102 [details] [diff] [review]:
-----------------------------------------------------------------

Ok, I think this looks reasonable to do.
Comment 2 Philipp Kewisch [:Fallen] 2012-10-21 04:39:02 PDT
Pushed to comm-central changeset 117e2e975798

Note You need to log in before you can comment on or make changes to this bug.